> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/printer/btprinterportlist.md).

# btPrinterPortList

## Description

Returns a list of all the bluetooth printer ports.

## Input / Parameter

N/A

## Output

N/A

## Callback

### callback

The function to be executed if the printer ports are returned successfully.

### errCallback

The function to be executed if the printer ports are not returned successfully, or when 'btPrinterPortList error: bluetoothClassicSerial plugins not found' is returned.

## Video

Coming Soon.

## Example

The user wants to connect to view the list of printers available.

### Steps

1. Call the function `btPrinterPortList` in a button component.
2. Call the function `setComboOptions` in the callback and `infoDialog` in the errCallback of the `btPrinterPortList` function.

   ![](/files/AeGMoZggVbM5HHz6cVFh)

   ![](/files/JgZ8sl7hTWl4bdy6DxIs)

   ![](/files/b2mycOF2TOwNskImSstw)

### Result

1. Press the Generate Printer List button.
2. If the printer list is generated, the printers will be shown in the combobox. If the printer list is not generated, the error dialog will appear.

   ![](/files/bwZvz3odvNF2xhqsYX15)

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/printer/btprinterportlist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
